Name: libpcap
Version: 0.4a6
Release: 1
Copyright: distributable
Group: Libraries
Source: ftp://ftp.ee.lbl.gov/libpcap-0.4a6.tar.Z
Patch: libpcap-redhat.patch
Summary: system-independent packet sniffing library 
Buildroot: /var/tmp/libcap-root

%description
libpcap is a system-independent interface for user-level packet capture.
libpcap provides a portable framework for low-level network monitoring.
Applications include network statistics collection, security monitoring,
network debugging, etc.  Since almost every system vendor provides a
different interface for packet capture, and since we've developed several
tools that require this functionality, we've created this system-independent
API to ease in porting and to alleviate the need for several
system-dependent packet capture modules in each application.

%package devel
Summary: Additional libraries required to compile programs that use libpcap
Group: Development/Libraries

%description devel
To develop programs which use libpcap, the system needs to have these
header files and object files available for creating the executables.

%package static
Summary: Static version of libpcap
Group: Development/Libraries

%description static
This package contains the static version of libpcap: you'll need this
if you plan to distribute a program that should run on systems where
the shared library is not available.

%changelog

* Fri May 22 1998 Michael Maher <mike@redhat.com>

- cleaned up spec file a little, good job guys.
- added things like %clean to spec file and cleaned up buildroot process

* Fri Apr 17 1998 Brandon Craig Rhodes <bcrhodes@cc.gatech.edu>
- assumed responsibility for RPM with Andrea's permission
- updated to alpha 6 of version 0.4
- reorganized spec file
- removed rm -rf of build root for those who use /
* Tue Feb 24 1998 Andrea Borgia <borgia@cs.unibo.it>
- rebuilt for glibc

%prep
%setup
%patch -p1 -b .patch

%build
./configure --prefix=/usr
make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
export DESTDIR=$RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/lib
install -d $RPM_BUILD_ROOT/usr/include/net
install -d $RPM_BUILD_ROOT/usr/man/man3
make install
make install-shared
make install-incl
make install-man
cd $RPM_BUILD_ROOT/usr/lib
ln -sf libpcap.so.0.4 libpcap.so.0
ln -sf libpcap.so.0.4 libpcap.so

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%doc CHANGES INSTALL README
/usr/lib/libpcap.so.0.4
/usr/lib/libpcap.so.0
/usr/lib/libpcap.so
/usr/man/man3/pcap.3

%files devel
/usr/include/pcap.h
/usr/include/pcap-namedb.h
/usr/include/net/bpf.h

%files static
/usr/lib/libpcap.a
